# Imagick::quantizeImage

(PECL imagick 2.0.0)

Imagick::quantizeImage — Analyzes the colors within a reference image

### Description

Imagick::quantizeImage ( int `$numberColors` , int `$colorspace` , int `$treedepth` , bool `$dither` , bool `$measureError` ) : bool

### Parameters

`numberColors`

`colorspace`

`treedepth`

`dither`

`measureError`

### Return Values

Returns `TRUE` on success.

### Errors/Exceptions

Throws ImagickException on error.

### Examples

Example #1 Imagick::quantizeImage()

`<?php
function quantizeImage($imagePath, $numberColors, $colorSpace, $treeDepth, $dither) {
$imagick = new \Imagick(realpath($imagePath));
$imagick->quantizeImage($numberColors, $colorSpace, $treeDepth, $dither, false);
$imagick->setImageFormat('png');
header("Content-Type: image/png");
echo $imagick->getImageBlob();
}
?>`